SignSecureSignSecure Docs
Signing workflow

Send Document for Signing

Send a document to all recipients for signing. Transitions the document from `draft` to `pending`. Requirements: - At least one signer or approver recipient - PDF file must be uploaded - Sufficient credits

POST
/documents/{documentId}/send

Send a document to all recipients for signing. Transitions the document from draft to pending.

Requirements:

  • At least one signer or approver recipient
  • PDF file must be uploaded
  • Sufficient credits

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Path Parameters

documentId*string

The document ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.signsecure.com/api/v1/documents/string/send" \  -H "Content-Type: application/json" \  -d '{}'
{
  "message": "string",
  "documentId": "string",
  "status": "pending",
  "recipients": [
    {
      "id": "string",
      "name": "string",
      "email": "string",
      "role": "string",
      "order": 0,
      "status": "string",
      "actionUrl": "string"
    }
  ],
  "workflow": {
    "mode": "string",
    "verificationMethod": "string",
    "message": "string",
    "reminderEveryHours": 0,
    "expiresAt": "2019-08-24T14:15:22Z"
  }
}

{
  "code": "INVALID_STATUS",
  "message": "Cannot send document. Document must be in draft status.",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "UNAUTHORIZED",
  "message": "Invalid or missing API key",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "FORBIDDEN",
  "message": "API key is disabled",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "NOT_FOUND",
  "message": "Document not found",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "An internal error occurred",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}